Smart Proxy - Tracker #25369

Smart-proxy Rubocop tracker issue
11/01/2018 04:21 PM - Anonymous

Status: New
Priority: Low
Assignee:
Category:

Target version:

% Done: 0%

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Description

Related issues:

Related to Smart Proxy - Feature #7181: Add rubocop to smart-proxy code
Related to Smart Proxy - Refactor #25370: Fix Rubocop:
Related to Smart Proxy - Refactor #28742: Fix Rubocop:
Related to Smart Proxy - Refactor #29076: Fix Rubocop:
Related to Smart Proxy - Refactor #29078: Fix Rubocop:
Related to Smart Proxy - Refactor #29077: Fix Rubocop:
Related to Smart Proxy - Refactor #29081: Fix Rubocop:
Related to Smart Proxy - Refactor #29082: Fix Rubocop:
Related to Smart Proxy - Refactor #29083: Fix Rubocop:
Related to Smart Proxy - Refactor #29084: Fix Rubocop:
Related to Smart Proxy - Refactor #29085: Fix Rubocop:
Related to Smart Proxy - Refactor #29086: Fix Rubocop:
Related to Smart Proxy - Refactor #29099: Fix Rubocop:
Related to Smart Proxy - Refactor #29100: Fix Rubocop:
Related to Smart Proxy - Refactor #29101: Fix Rubocop:
Related to Smart Proxy - Refactor #29103: Fix Rubocop:
Related to Smart Proxy - Refactor #29105: Fix Rubocop:
Related to Smart Proxy - Refactor #29114: Fix Rubocop:
Related to Smart Proxy - Refactor #29115: Fix Rubocop:
Related to Smart Proxy - Refactor #29116: Fix Rubocop:
Related to Smart Proxy - Refactor #29117: Fix Rubocop:
Related to Smart Proxy - Refactor #29118: Fix Rubocop:
Related to Smart Proxy - Refactor #29120: Fix Rubocop:
Related to Smart Proxy - Refactor #29119: Fix Rubocop:
Related to Smart Proxy - Refactor #29121: Fix Rubocop:
Related to Smart Proxy - Refactor #29123: Fix Rubocop:
Related to Smart Proxy - Refactor #29126: Disable cops,
Related to Smart Proxy - Refactor #29127: Fix Rubocop:
Related to Smart Proxy - Refactor #29128: Fix Rubocop:
Related to Smart Proxy - Refactor #29129: Fix Rubocop:
Related to Smart Proxy - Refactor #29130: Fix Rubocop:
Related to Smart Proxy - Refactor #29150: Fix Rubocop:
Related to Smart Proxy - Refactor #29151: Fix Rubocop:
Related to Smart Proxy - Refactor #29152: Fix Rubocop:
Related to Smart Proxy - Refactor #29153: Fix Rubocop:
Related to Smart Proxy - Refactor #29154: Fix Rubocop:

05/12/2024

Closed
Performance/StringRepl... Closed
Lint/AssignmentinCondi... Closed
Gemspec/OrderedDepende... Closed
Style/UnneededCondition Closed
Style/Encoding Closed
Lint/UnneededCopEnable... Closed
Layout/TrailingWhitespace Closed
Performance/Inefficien... Closed
Style/UnlessElse Closed
Style/SafeNavigation Closed
Style/TrailingCommaln*... Closed
Layout/EmptyLineBetwee... Closed
Layout/EmptyLines Closed
Layout/EmptyLinesAroun... Closed
Layout/EmptyLinesAroun... Closed
Layout/EmptyLinesAroun... Closed
Style/YodaCondition Closed
Style/TrivialAccessors Closed
Style/StringLiteralsin... Closed
Style/SpecialGlobalVars Closed
Style/SingleLineMethods Closed
Style/RedundantReturn Closed
Style/SelfAssignment Closed
Style/RedundantBegin Closed
Style/OrAssignment Closed
that are explicitly d... Closed
Style/SymbolProc Closed
Style/Lambda Closed
Layout/IndentationWidth Closed
Layout/IndentationCons... Closed
Layout/ClosingParenthe... Closed
Layout/EmptyLinesAroun... Closed
Layout/LeadingCommentS... Closed
Layout/SpacelnsideParens Closed
Layout/TrailingBlankLines Closed
Related to Smart Proxy - Refactor #29155: Fix Rubocop: Lint/UnneededRequireSt...
Related to Smart Proxy - Refactor #29156: Fix Rubocop: Style/Dir

Related to Smart Proxy - Refactor #29157: Fix Rubocop: Style/Negated|f

Related to Smart Proxy - Refactor #29158: Fix Rubocop: Style/Multiline*Then
Related to Smart Proxy - Refactor #29159: Fix Rubocop: Style/For

Related to Smart Proxy - Refactor #29160: Fix Rubocop: Layout/ExtraSpacing
Related to Smart Proxy - Refactor #29161: Fix Rubocop: Layout/IndentHeredoc
Related to Smart Proxy - Refactor #29171: Fix Rubocop: Style/TernaryParentheses
Related to Smart Proxy - Refactor #29172: Fix Rubocop: Layout/SpaceBeforeBloc...
Related to Smart Proxy - Refactor #29173: Fix Rubocop: Layout/SpaceAfterComma
Related to Smart Proxy - Refactor #29174: Fix Rubocop: Lint/StringConversionl...
Related to Smart Proxy - Refactor #29175: Fix Rubocop: Style/Alias

Related to Smart Proxy - Refactor #29176: Fix Rubocop: Style/MethodDefParenth...
Related to Smart Proxy - Refactor #29177: Fix Rubocop: Style/EachWithObject
Related to Smart Proxy - Refactor #29226: Fix Rubocop: Style/Semicolon

Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed

Associated revisions

Revision ed3814ce - 02/25/2020 09:55 PM - Michael Moll

Fixes #25369 - Fix Lint/StringConversionininterpolation cop

History

#1-11/01/2018 04:21 PM - Anonymous
- Related to Feature #7181: Add rubocop to smart-proxy code added

#2 - 11/01/2018 04:26 PM - Anonymous
- Related to Refactor #25370: Fix Rubocop: Performance/StringReplacement added

#3 - 11/05/2018 09:42 AM - Lukas Zapletal
- Subject changed from smart-proxy rubocop tracker issue to Smart-proxy Rubocop tracker issue

- Triaged changed from No to Yes

Thanks!

#4 - 01/13/2020 03:31 PM - Anonymous
- Related to Refactor #28742: Fix Rubocop: Lint/AssignmentinCondition added

#5 - 02/19/2020 09:52 PM - Anonymous
- Related to Refactor #29076: Fix Rubocop: Gemspec/OrderedDependencies added

#6 - 02/19/2020 10:03 PM - Anonymous
- Related to Refactor #29078: Fix Rubocop: Style/UnneededCondition added

#7 - 02/19/2020 10:04 PM - Anonymous
- Related to Refactor #29077: Fix Rubocop: Style/Encoding added

#8 - 02/19/2020 10:20 PM - Anonymous
- Related to Refactor #29081: Fix Rubocop: Lint/UnneededCopEnableDirective added

#9 - 02/19/2020 10:21 PM - Anonymous
- Related to Refactor #29082: Fix Rubocop: Layout/TrailingWhitespace added

#10 - 02/19/2020 10:25 PM - Anonymous
- Related to Refactor #29083: Fix Rubocop: Performance/InefficientHashSearch added

#11 - 02/19/2020 10:42 PM - Anonymous
- Related to Refactor #29084: Fix Rubocop: Style/UnlessElse added

#12 - 02/19/2020 10:57 PM - Anonymous
- Related to Refactor #29085: Fix Rubocop: Style/SafeNavigation added

#13 - 02/19/2020 11:09 PM - Anonymous
- Related to Refactor #29086: Fix Rubocop: Style/TrailingCommaln*Literal added

#14 - 02/20/2020 09:14 PM - Anonymous
- Related to Refactor #29099: Fix Rubocop: Layout/EmptyLineBetweenDefs added

#15 - 02/20/2020 09:22 PM - Anonymous
- Related to Refactor #29100: Fix Rubocop: Layout/EmptyLines added

#16 - 02/20/2020 09:28 PM - Anonymous

- Related to Refactor #29101: Fix Rubocop: Layout/EmptyLinesAroundAccessModifier added

#17 - 02/20/2020 09:45 PM - Anonymous
- Related to Refactor #29103: Fix Rubocop: Layout/EmptyLinesAroundClassBody added

#18 - 02/20/2020 10:15 PM - Anonymous
- Related to Refactor #29105: Fix Rubocop: Layout/EmptyLinesAroundModuleBody added

#19 - 02/21/2020 02:04 PM - Anonymous
- Related to Refactor #29114: Fix Rubocop: Style/YodaCondition added

#20 - 02/21/2020 02:22 PM - Anonymous
- Related to Refactor #29115: Fix Rubocop: Style/TrivialAccessors added

#21 - 02/21/2020 02:28 PM - Anonymous
- Related to Refactor #29116: Fix Rubocop: Style/StringLiteralsininterpolation added

#22 - 02/21/2020 02:33 PM - Anonymous
- Related to Refactor #29117: Fix Rubocop: Style/SpecialGlobalVars added

#23 - 02/21/2020 02:37 PM - Anonymous
- Related to Refactor #29118: Fix Rubocop: Style/SingleLineMethods added

#24 - 02/21/2020 02:55 PM - Anonymous
- Related to Refactor #29120: Fix Rubocop: Style/RedundantReturn added

#25 - 02/21/2020 02:56 PM - Anonymous
- Related to Refactor #29119: Fix Rubocop: Style/SelfAssignment added

#26 - 02/21/2020 03:00 PM - Anonymous
- Related to Refactor #29121: Fix Rubocop: Style/RedundantBegin added

#27 - 02/21/2020 03:10 PM - Anonymous
- Related to Refactor #29123: Fix Rubocop: Style/OrAssignment added

#28 - 02/21/2020 04:51 PM - Anonymous
- Related to Refactor #29126: Disable cops, that are explicitly disabled in Foreman added

#29 - 02/21/2020 06:09 PM - Anonymous
- Related to Refactor #29127: Fix Rubocop: Style/SymbolProc added

#30 - 02/21/2020 06:14 PM - Anonymous
- Related to Refactor #29128: Fix Rubocop:

#31 - 02/21/2020 06:39 PM - Anonymous

- Related to Refactor #29129: Fix Rubocop:

#32 - 02/21/2020 06:41 PM - Anonymous

- Related to Refactor #29130: Fix Rubocop:

#33 - 02/24/2020 09:36 PM - Anonymous

- Related to Refactor #29150: Fix Rubocop:

#34 - 02/24/2020 09:47 PM - Anonymous

- Related to Refactor #29151: Fix Rubocop:

#35 - 02/24/2020 09:55 PM - Anonymous

- Related to Refactor #29152: Fix Rubocop:

#36 - 02/24/2020 10:00 PM - Anonymous

- Related to Refactor #29153: Fix Rubocop:

#37 - 02/24/2020 10:09 PM - Anonymous

- Related to Refactor #29154: Fix Rubocop:

#38 - 02/24/2020 10:17 PM - Anonymous

- Related to Refactor #29155: Fix Rubocop:

#39 - 02/24/2020 10:24 PM - Anonymous

- Related to Refactor #29156: Fix Rubocop:

#40 - 02/24/2020 10:29 PM - Anonymous

- Related to Refactor #29157: Fix Rubocop:

#41 - 02/24/2020 10:52 PM - Anonymous

- Related to Refactor #29158: Fix Rubocop:

#42 - 02/24/2020 10:57 PM - Anonymous

- Related to Refactor #29159: Fix Rubocop:

#43 - 02/24/2020 11:11 PM - Anonymous

- Related to Refactor #29160: Fix Rubocop:

#44 - 02/24/2020 11:17 PM - Anonymous

- Related to Refactor #29161: Fix Rubocop:

#45 - 02/25/2020 09:21 PM - Anonymous

- Related to Refactor #29171: Fix Rubocop:

#46 - 02/25/2020 09:35 PM - Anonymous

- Related to Refactor #29172: Fix Rubocop:

#47 - 02/25/2020 09:43 PM - Anonymous

- Related to Refactor #29173: Fix Rubocop:

#48 - 02/25/2020 09:49 PM - Anonymous

- Related to Refactor #29174: Fix Rubocop:

Style/Lambda added

Layout/IndentationWidth added

Layout/IndentationConsistency added

Layout/ClosingParenthesisindentation added

Layout/EmptyLinesAroundMethodBody added

Layout/LeadingCommentSpace added

Layout/SpacelnsideParens added

Layout/TrailingBlankLines added

Lint/lUnneededRequireStatement added

Style/Dir added

Style/Negated|f added

Style/Multiline*Then added

Style/For added

Layout/ExtraSpacing added

Layout/IndentHeredoc added

Style/TernaryParentheses added

Layout/SpaceBeforeBlockBraces added

Layout/SpaceAfterComma added

Lint/StringConversionlninterpolation added

#49 - 02/25/2020 09:50 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Triaged changed from Yes to No

- Assignee set to Anonymous

#50 - 02/25/2020 09:54 PM - Anonymous
- Related to Refactor #29175: Fix Rubocop: Style/Alias added

#51 - 02/25/2020 09:56 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#52 - 02/25/2020 09:59 PM - Anonymous
- Assignee changed from Anonymous to Ohad Levy

- Fixed in Releases deleted (2.1.0)

#53 - 02/25/2020 10:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ed3814ce10db10e7010b45d190f63ac7cc885fb9.

#54 - 02/25/2020 10:06 PM - Anonymous
- Status changed from Closed to New

- Assignee deleted (Ohad Levy)

- % Done changed from 100 to 0

#55 - 02/25/2020 10:14 PM - Anonymous
- Related to Refactor #29176: Fix Rubocop: Style/MethodDefParentheses added

#56 - 02/25/2020 10:21 PM - Anonymous
- Related to Refactor #29177: Fix Rubocop: Style/EachWithObject added

#57 - 02/28/2020 02:10 PM - Anonymous
- Related to Refactor #29226: Fix Rubocop: Style/Semicolon added
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/ed3814ce10db10e7010b45d190f63ac7cc885fb9
